Class | ActiveMerchant::Billing::MonerisGateway
In: | lib/active_merchant/billing/gateways/moneris.rb
Parent: | Gateway

To learn more about the Moneris gateway, please contact eselectplus@moneris.com for a copy of their integration guide. For information on remote testing, please see "Test Environment Penny Value Response Table", and "Test Environment eFraud (AVS and CVD) Penny Response Values", available at Moneris’ eSelect Plus Documentation Centre.

### Methods

authorize capture credit new purchase void

### Constants

TEST_URL | = | 'https://esqa.moneris.com/gateway2/servlet/MpgRequest'
LIVE_URL | = | 'https://www3.moneris.com/gateway2/servlet/MpgRequest'

### Public Class methods

new(options = {})

login is your Store ID password is your API Token

### Public Instance methods

authorize(money, creditcard, options = {})

Referred to as "PreAuth" in the Moneris integration guide, this action verifies and locks funds on a customer‘s card, which then must be captured at a later date.

Pass in `order_id` and optionally a `customer` parameter.

capture(money, authorization, options = {})

This method retrieves locked funds from a customer‘s account (from a PreAuth) and prepares them for deposit in a merchant‘s account.

Note: Moneris requires both the order_id and the transaction number of the original authorization. To maintain the same interface as the other gateways the two numbers are concatenated together with a ; separator as the authorization number returned by authorization

credit(money, authorization, options = {})

Performs a refund. This method requires that the original transaction number and order number be included. Concatenate your transaction number and order_id by using a semicolon (’;’). This is to keep the Moneris interface consistent with other gateways. (See `capture` for details.)

purchase(money, creditcard, options = {})

This action verifies funding on a customer‘s card, and readies them for deposit in a merchant‘s account.

Pass in `order_id` and optionally a `customer` parameter

void(authorization, options = {})

Voiding requires the original transaction ID and order ID of some open transaction. Closed transactions must be refunded. Note that the only methods which may be voided are `capture` and `purchase`.

Concatenate your transaction number and order_id by using a semicolon (’;’). This is to keep the Moneris interface consistent with other gateways. (See `capture` for details.)

[Validate]